multi_cobex.h File Reference

Detect, initiate and run OBEX over custom serial port protocols (Siemens, Ericsson, New-Siemens, Motorola, Generic). More...

`#include <inttypes.h>`

## Functions

obex_ctrans_t * | cobex_ctrans (const char *tty)
| Create a new multi cobex instance for a given TTY.
void | cobex_free (obex_ctrans_t *ctrans)
| Free all data related to a multi cobex instance.
int | cobex_connect (obex_t *self, void *data)
| Called from OBEX-lib to set up a connection.
int | cobex_disconnect (obex_t *self, void *data)
| Called from OBEX-lib to tear down a connection.
int | cobex_write (obex_t *self, void *data, uint8_t *buffer, int length)
| Called from OBEX-lib when data needs to be written.
int | cobex_handleinput (obex_t *self, void *data, int timeout)
| Called when input data is needed.

## Detailed Description

Detect, initiate and run OBEX over custom serial port protocols (Siemens, Ericsson, New-Siemens, Motorola, Generic).

ObexFTP library - language bindings for OBEX file transfer.

Copyright (c) 2002-2007 Christian W. Zuckschwerdt zany@.nosp@m.triq.nosp@m..net

ObexFTP is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with ObexFTP. If not, see http://www.gnu.org/.

## Function Documentation

## cobex_connect()

int cobex_connect | ( | obex_t * | self,
|  | void * | data
| ) |  |

Called from OBEX-lib to set up a connection.

## cobex_ctrans()

obex_ctrans_t * cobex_ctrans | ( | const char * | tty | ) |

Create a new multi cobex instance for a given TTY.

Parameters

  tty | the TTY to use. Defaults to the first serial TTY if NULL.

## cobex_disconnect()

int cobex_disconnect | ( | obex_t * | self,
|  | void * | data
| ) |  |

Called from OBEX-lib to tear down a connection.

## cobex_free()

void cobex_free | ( | obex_ctrans_t * | ctrans | ) |

Free all data related to a multi cobex instance.

## cobex_handleinput()

int cobex_handleinput | ( | obex_t * | self,
|  | void * | data,
|  | int | timeout
| ) |  |

Called when input data is needed.

## cobex_write()

int cobex_write | ( | obex_t * | self,
|  | void * | data,
|  | uint8_t * | buffer,
|  | int | length
| ) |  |

Called from OBEX-lib when data needs to be written.